

.namespace BinkCutscene

function OnEnable()
	--on joue le sous-titre si possible
	VideoSubtitleManager.loadSubtitleForVideo(self)
	--on coupe les loops
	LoopManaging.ShutDownLoop()
	
	ShutDownOneliners()
	
	--on vire l'objet s'il y a
	UnEquip()
end

function Disable()
	
end

function ShutDownOneliners()
	function ShutOneLine(ut)
		if ut.Type =="oneliners" then
			ut.Stop()
		end
	end
	
	ApplyToClass("SimpleSound",ShutOneLine)
end
